dnl### Useful functions.
dnl Usage: LYX_ERROR(file,library)  Displays an error message indication that
dnl  'file' cannot be found because 'lib' may be uncorrectly installed.
AC_DEFUN(LYX_ERROR,[AC_WARN([Can't find $1. Please check that the $2 library
is correctly installed on your system.
(see the section 'Problems' in the INSTALL file)])])
dnl
dnl
dnl Usage: LYX_WITH_DIR(dir-name,desc,dir-var-name,default-value)  Adds a
dnl  --with-'dir-name' option (described by 'desc') and puts the resulting
dnl  directory name in 'dir-var-name'.
AC_DEFUN(LYX_WITH_DIR,[
  AC_ARG_WITH($1,[  --with-$1       specify $2])
  AC_MSG_CHECKING([for $2])
  if test -z "$with_$3"; then
     AC_CACHE_VAL(lyx_cv_$3, lyx_cv_$3=$4)
  else
    for dir in $with_$3 ; do
      test ! -d "$dir" && AC_ERROR([\`$dir' is not a directory])
    done
    lyx_cv_$3=$with_$3
  fi
  AC_MSG_RESULT($lyx_cv_$3)])
dnl
dnl
dnl
dnl Usage LYX_PATH_TEX  Searches for TeX root and puts the result in variable 
dnl  TEXMF.
AC_DEFUN(LYX_PATH_TEX,[
  AC_ARG_WITH(texmf,[  --with-texmf            specify TeX root directory])
  AC_MSG_CHECKING([for TeX])
  if test -z "$with_texmf"; then
     AC_CACHE_VAL(lyx_cv_texmf,[
      for lyx_dir in \
         ${prefix}/lib \
         /usr/lib \
         /usr/local \
         /usr/local/lib \
         /usr/local/share \
         /opt ; do
        test -d $lyx_dir/texmf && lyx_cv_texmf=$lyx_dir/texmf;
      done])
  else
    test ! -d "$with_texmf" && AC_ERROR(proper usage is --with-texmf=DIRECTORY)
    lyx_cv_texmf=$with_texmf
  fi
  TEXMF=$lyx_cv_texmf
  if test "x$TEXMF" = x ; then
    AC_MSG_RESULT(no)
    TEXMF=NONE
    AC_WARN([Unable to find TeX. Please use the --with-texsty-dir flag.])
  else
    AC_MSG_RESULT($TEXMF)
  fi])
dnl
dnl
dnl
AC_DEFUN(LYX_HPUX,
[AC_MSG_CHECKING(for HP-UX)
os=`uname -s | tr '[A-Z]' '[a-z]'`
ac_cv_hpux=no
test "$os" = hp-ux && ac_cv_hpux=yes
AC_MSG_RESULT($ac_cv_hpux)
])

